Get agent app
curl --request GET \
--url 'https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token='import requests
url = "https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vida.dev/api/v2/apps/{appId}/{appVersion}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app": {
"appId": "<string>",
"version": "<string>",
"title": "<string>",
"description": "<string>",
"installed": true,
"active": true,
"dependencies": {}
},
"success": true
}Apps
Get agent app
Returns one Vader app manifest and its installation and activation state for the selected Computer Agent account. Inspect dependencies and their required values before installing or updating the app. Use the exact appId and appVersion returned by the app catalog.
GET
/
api
/
v2
/
apps
/
{appId}
/
{appVersion}
Get agent app
Authorizations
Vida API Token
Path Parameters
App identifier returned by GET /api/v2/apps.
Minimum string length:
1Exact app version returned by GET /api/v2/apps.
Minimum string length:
1Query Parameters
Computer Agent account whose app state should be used. Defaults to the API token account.